View Issue Details

IDProjectCategoryView StatusLast Update
0007160CentOS-7firefoxpublic2014-06-23 20:16
Reporterbstinson Assigned To 
PrioritynormalSeverityminorReproducibilityN/A
Status resolvedResolutionfixed 
Summary0007160: CentOS 7 Branding for Firefox
DescriptionThis patch changes the default homepage and removes references to upstream in the browser prefs. I tried to mimic what was in el6.
TagsNo tags attached.
abrt_hash
URL

Relationships

has duplicate 0007198 closed Firefox shows on first start a redhat.com page 

Activities

bstinson

bstinson

2014-06-11 23:33

administrator  

0001-Roll-in-Branding-for-CentOS-7-Branding-Hunt.patch (4,678 bytes)   
From c7902d6f1679cc79f164b68405f39cedae172d6e Mon Sep 17 00:00:00 2001
From: Brian Stinson <bstinson@ksu.edu>
Date: Wed, 11 Jun 2014 16:39:12 -0500
Subject: [PATCH] Roll in Branding for CentOS 7 Branding-Hunt

---
 SOURCES/firefox-centos-default-prefs.js |   24 ++++++++++++++++++++++++
 SOURCES/firefox-redhat-default-prefs.js |   24 ------------------------
 SPECS/firefox.spec                      |    5 ++++-
 3 files changed, 28 insertions(+), 25 deletions(-)
 create mode 100644 SOURCES/firefox-centos-default-prefs.js
 delete mode 100644 SOURCES/firefox-redhat-default-prefs.js

diff --git a/SOURCES/firefox-centos-default-prefs.js b/SOURCES/firefox-centos-default-prefs.js
new file mode 100644
index 0000000..ee2943f
--- /dev/null
+++ b/SOURCES/firefox-centos-default-prefs.js
@@ -0,0 +1,24 @@
+pref("app.update.auto",                     false);
+pref("app.update.enabled",                  false);
+pref("app.update.autoInstallEnabled",       false);
+pref("browser.backspace_action",            2);
+pref("browser.display.use_system_colors",   true);
+pref("browser.download.folderList",         1);
+pref("browser.link.open_external",          3);
+pref("browser.shell.checkDefaultBrowser",   false);
+pref("general.smoothScroll",                true);
+pref("general.useragent.vendor",            "CentOS");
+pref("general.useragent.vendorSub",         "FIREFOX_RPM_VR");
+pref("intl.locale.matchOS",                 true);
+pref("storage.nfs_filesystem",              false);
+pref("dom.ipc.plugins.enabled.nswrapper*",  false);
+pref("network.manage-offline-status",       true);
+pref("toolkit.networkmanager.disable", false);
+pref("browser.startup.homepage",            "data:text/plain,browser.startup.homepage=file:///usr/share/doc/HTML/index.html");
+pref("toolkit.storage.synchronous",         0);
+pref("startup.homepage_override_url",       "http://www.centos.org");
+pref("startup.homepage_welcome_url",        "http://www.centos.org");
+pref("javascript.options.baselinejit.content", false);
+pref("javascript.options.baselinejit.chrome", false);
+pref("extensions.shownSelectionUI",         true);
+pref("layout.imagevisibility.enabled",      false);
diff --git a/SOURCES/firefox-redhat-default-prefs.js b/SOURCES/firefox-redhat-default-prefs.js
deleted file mode 100644
index 2a22d05..0000000
--- a/SOURCES/firefox-redhat-default-prefs.js
+++ /dev/null
@@ -1,24 +0,0 @@
-pref("app.update.auto",                     false);
-pref("app.update.enabled",                  false);
-pref("app.update.autoInstallEnabled",       false);
-pref("browser.backspace_action",            2);
-pref("browser.display.use_system_colors",   true);
-pref("browser.download.folderList",         1);
-pref("browser.link.open_external",          3);
-pref("browser.shell.checkDefaultBrowser",   false);
-pref("general.smoothScroll",                true);
-pref("general.useragent.vendor",            "Red Hat");
-pref("general.useragent.vendorSub",         "FIREFOX_RPM_VR");
-pref("intl.locale.matchOS",                 true);
-pref("storage.nfs_filesystem",              false);
-pref("dom.ipc.plugins.enabled.nswrapper*",  false);
-pref("network.manage-offline-status",       true);
-pref("toolkit.networkmanager.disable", false);
-pref("browser.startup.homepage",            "data:text/plain,browser.startup.homepage=file:///usr/share/doc/HTML/index.html");
-pref("toolkit.storage.synchronous",         0);
-pref("startup.homepage_override_url",       "http://www.redhat.com");
-pref("startup.homepage_welcome_url",        "http://www.redhat.com");
-pref("javascript.options.baselinejit.content", false);
-pref("javascript.options.baselinejit.chrome", false);
-pref("extensions.shownSelectionUI",         true);
-pref("layout.imagevisibility.enabled",      false);
diff --git a/SPECS/firefox.spec b/SPECS/firefox.spec
index 5206568..2d8d83d 100644
--- a/SPECS/firefox.spec
+++ b/SPECS/firefox.spec
@@ -65,7 +65,7 @@ Source1:        firefox-langpacks-%{version}%{?ext_version}-20140422.tar.bz2
 %endif
 Source10:       firefox-mozconfig
 Source11:       firefox-mozconfig-branded
-Source12:       firefox-redhat-default-prefs.js
+Source12:       firefox-centos-default-prefs.js
 Source20:       firefox.desktop
 Source21:       firefox.sh.in
 Source23:       firefox.1
@@ -506,6 +506,9 @@ gtk-update-icon-cache %{_datadir}/icons/hicolor &>/dev/null || :
 #---------------------------------------------------------------------
 
 %changelog
+* Wed Jun 11 2014 Brian Stinson <bstinson@ksu.edu> - 24.5.0-1.el7.centos
+- Roll in Branding for CentOS 7 Branding Hunt
+
 * Tue Apr 22 2014 Martin Stransky <stransky@redhat.com> - 24.5.0-1
 - Update to 24.5.0 ESR
 
-- 
1.7.1

JohnnyHughes

JohnnyHughes

2014-06-23 20:16

administrator   ~0020009

modified package rolled into the test tree

Issue History

Date Modified Username Field Change
2014-06-11 23:33 bstinson New Issue
2014-06-11 23:33 bstinson File Added: 0001-Roll-in-Branding-for-CentOS-7-Branding-Hunt.patch
2014-06-19 12:59 toracat Relationship added has duplicate 0007198
2014-06-23 20:16 JohnnyHughes Note Added: 0020009
2014-06-23 20:16 JohnnyHughes Status new => resolved
2014-06-23 20:16 JohnnyHughes Resolution open => fixed